#
# spec file for package xdg-user-dirs-gtk
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xdg-user-dirs-gtk
Summary:        xdg-user-dir support for Gnome and Gtk+ applications
License:        GPL-2.0+
Group:          System/GUI/GNOME
Version:        0.10
Release:        8.3
Url:            http://download.gnome.org/sources/xdg-user-dirs-gtk
Source0:        http://download.gnome.org/sources/xdg-user-dirs-gtk/0.10/%{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM xdg-user-dirs-gtk-XFCE-LXDE-autostart.patch fdo#33107 gber@opensuse.org -- Start xdg-user-dirs-gtk in Xfce sessions as well
Patch1:         %{name}-XFCE-autostart.patch
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  xdg-user-dirs
Requires:       xdg-user-dirs
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A companion to xdg-user-dirs that integrates it into the Gnome desktop
and Gtk+ applications. Presents a dialog when a user changes locales
to help move they standard user directories to the correct names.

%lang_package
%prep
%setup -q
%patch1 -p1
translation-update-upstream

%build
%configure
%__make %{?jobs:-j %jobs}

%install
%makeinstall
%suse_update_desktop_file user-dirs-update-gtk
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/xdg-user-dirs-gtk-update
%{_sysconfdir}/xdg/autostart/user-dirs-update-gtk.desktop

%files lang -f %{name}.lang

%changelog
* Mon Feb  4 2013 p.drouand@gmail.com
- Update to version 0.10:
  + Use new location for GTK+ bookmarks file.
* Wed Apr  4 2012 vuntz@opensuse.org
- Update to version 0.9:
  + Port to Gtk 3
  + Add Unity and LXDE to desktop file OnlyShowIn
  + Faster startup by only initializing Gtk when needed
  + Updated ranslations.
- Drop xdg-user-dirs-gtk-LXDE-autostart.patch: fixed upstream.
- Rebase xdg-user-dirs-gtk-XFCE-autostart.patch.
- Remove perl-XML-Parser BuildRequires: it was only needed when it
  was not required by intltool.
- Change gtk2-devel BuildRequires to gtk3-devel, following port to
  GTK+ 3.
* Sun Feb 27 2011 aj@suse.de
- Change lang package Requires to Recommends since it is not
  mandatory at runtime.
* Wed Dec 29 2010 gber@opensuse.org
- Add xdg-user-dirs-gtk-XFCE-autostart.patch in order to
  start in Xfce sessions as well.
* Tue Feb  9 2010 andrea@opensuse.org
- Add xdg-user-dirs-gtk-LXDE-autostart.patch to also autostart
  xdg-user-dirs in LXDE.
* Mon Feb 16 2009 sbrabec@suse.cz
- Added support for translation-update-upstream (FATE#301344).
* Thu Dec 11 2008 coolo@suse.de
- require the translations
* Wed Sep 10 2008 jpr@suse.de
- Update to version 0.8:
  + Translation updates
* Thu Mar 20 2008 jpr@suse.de
- Initial check of xdg-user-dirs-gtk, to manager updating xdg user
  dirs on login
